<!DOCTYPE html>
<html>

<body>
    <b>Example-1 => The concat() Method <br> arr1 = ["Cecilie", "Lone"];<br>
        arr2 = ["Emil", "Tobias", "Linus"];</b>
    <!-- Syntax
    array1.concat(array2, array3, ..., arrayX) -->
    <p id="concat"></p>
    <script>
        const arr1 = ["Cecilie", "Lone"];
        const arr2 = ["Emil", "Tobias", "Linus"];

        const children = arr1.concat(arr2);
        document.getElementById("concat").innerHTML = children;
    </script>


    <b>Example-2 => The filter () Method <br> ages = [32, 33, 16, 40];</b>
    <!-- Syntax
    array.filter(function(currentValue, index, arr), thisValue) -->
    <p id="filter"></p>
    <script>
        const ages = [32, 33, 16, 40];
        document.getElementById("filter").innerHTML = ages.filter(checkAdult);

        function checkAdult(age) {
            return age >= 18;
        }
    </script>


    <b>Example-3 => The reduce () Method <br> numbers = [175, 50, 25];</b>
    <!-- Syntax
    array.reduce(function(total, currentValue, currentIndex, arr), initialValue) -->
    <p id="reduce"></p>
    <script>
        const numbers = [175, 50, 25];
        document.getElementById("reduce").innerHTML = numbers.reduce(myFunc);

        function myFunc(total, num) {
            return total - num;
        }
    </script>



    <b>Example-4 => The some () Method <br> ages = [32, 33, 16, 40];</b>
    <!-- Syntax
    array.some(function(value, index, arr), this) -->
    <p id="some"></p>
    <script>
        const ages1 = [3, 10, 18, 20];
        document.getElementById("some").innerHTML = ages1.some(checkAdult);

        function checkAdult(age) {
            return age > 18;
        }
    </script>



    <b>Example-5 => The every() Method <br> ages = [32, 33, 16, 40];</b>
    <!-- Syntax
    array.every(function(currentValue, index, arr), thisValue) -->
    <p id="every"></p>
    <script>
        const ages2 = [32, 33, 16, 40];
        document.getElementById("every").innerHTML = ages2.every(checkAge);

        function checkAge(age) {
            return age > 18;
        }
    </script>


    <b>Example-6 => The include() Method <br> fruits = ["Banana", "Orange", "Apple", "Mango"];</b>
    <!-- Syntax
    array.includes(element, start) -->
    <p id="include"></p>
    <script>
        const fruits = ["Banana", "Orange", "Apple", "Mango"];
        document.getElementById("include").innerHTML = fruits.includes("Banana", 3);
    </script>


    <b>Example-7 => The slice() Method <br> fruits = ["Banana", "Orange", "Apple", "Mango"];</b>
    <!-- <Syntax
    array.slice(start, end) -->
    <p id="slice"></p>
    <script>
        const fruits1 = ["Banana", "Orange", "Lemon", "Apple", "Mango"];
        const citrus = fruits.slice(1, 3);

        document.getElementById("slice").innerHTML = citrus;
    </script>


    <b>Example-8 => The splice() Method <br> fruits = ["Banana", "Orange", "Apple", "Mango"];</b>
    <!-- Syntax
    array.splice(index, howmany, item1, ....., itemX) -->
    <p id="splice"></p>
    <script>
        const fruits2 = ["Banana", "Orange", "Apple", "Mango"];

        // At position 2, add 2 elements: 
        fruits2.splice(2, 0, "Lemon", "Kiwi");
        document.getElementById("splice").innerHTML = fruits2;
    </script>


    <b>Example-9 => The shift() Method <br> fruits = ["Banana", "Orange", "Apple", "Mango"];</b>
    <!-- Syntax
    array.shift() -->
    <p id="shift"></p>
    <script>
        const fruits3 = ["Banana", "Orange", "Apple", "Mango"];
        document.getElementById("shift").innerHTML = fruits3.shift();
    </script>


    <b>Example-10 => The fill() Method <br> fruits = ["Banana", "Orange", "Apple", "Mango"];</b> Syntax
    <!-- Syntax
    array.fill(value, start, end) -->
    <p id="fill"></p>
    <script>
        const fruits4 = ["Banana", "Orange", "Apple", "Mango"];
        document.getElementById("fill").innerHTML = fruits4.fill("Kiwi", 2, 4);
    </script>


    <b>Example-11 => The map() Method <br> numbers = [4, 9, 16, 25];</b>
    <!-- Syntax
    array.map(function(currentValue, index, arr), thisValue) -->
    <p id="map"></p>
    <script>
        const numbers1 = [4, 9, 16, 25];
        document.getElementById("map").innerHTML = numbers1.map(Math.sqrt);
    </script>

    <b>Example-12 => The map() Method <br> numbers = [65, 44, 12, 4];</b>
    <!-- Syntax
    array.map(function(currentValue, index, arr), thisValue) -->
    <p id="map2"></p>
    <script>
        const numbers2 = [65, 44, 12, 4];
        const newArr = numbers2.map(myFunction);

        document.getElementById("map2").innerHTML = newArr;

        function myFunction(num) {
            return num * 10;
        }
    </script>
</body>

</html>